<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class MY_Session extends CI_Session {
    public function __construct(array $params = array()) {
        if ($this->ignore_sessions())
            return;
        parent::__construct();
    }
    function ignore_sessions() {
        $uri = str_replace("//", "/", $_SERVER['REQUEST_URI']);
        if (strpos($uri, '/gkpos/printer/') === 0)
            return true;
		return false;
    }

}
